Arm1.ru

FCKEditor и новый Firefox

 FCKEditor поломался в новом Firefox при вставке его на стороне PHP. Проблема, как оказалось, в проверке версии браузера.

// FCKeditor\fckeditor_php5.php line around 57-60
else if ( strpos($sAgent, 'Gecko/') !== false )
{
$iVersion = (int)substr($sAgent, strpos($sAgent, 'Gecko/') + 6, 8) ;
/* return ($iVersion >= 20030210) ; */ // should be replaced with:
return ($iVersion >= 10) ;
}

 

keyboard_return back